Package io.dapr.client.domain.query

# Class Sorting

java.lang.Object
io.dapr.client.domain.query.Sorting

public class Sorting extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Sorting.Order`

## Constructor Summary

Constructors
Constructor
Description
`Sorting(String key, Sorting.Order order)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
`Sorting.Order`
`getOrder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sorting

public Sorting(String key, Sorting.Order order)

## Method Details

### getKey

public String getKey()

### getOrder

public Sorting.Order getOrder()